% makefigure2_paper(savefigs)

%makes figures for Figure2 and S2 and demo the basic software

%% define constants and data locations

actatlasmainloc='./datalocs/MBLHmain.xlsx';
actatlassingleloc='./datalocs/MBsingle.xlsx';
actatlassingleloclh='./datalocs/LHsingle.xlsx';
tntatlasloc='./datalocs/TNTatlas.xlsx';

trajectoryloc='./datalocs/Figure2exampletraj.xlsx';
drivers={'lh1396','MB052B','MB077B','MB112C','MB434B','MB082C'};

%% plot example trajectories for LH and MB lines in Fig 2.
%generate example trajectory  (A B C D) -LEFT

trajectories_paper(actatlasmainloc,trajectoryloc,' ');

%% plot timecourses for these as well (same axis and axis labels) for Fig S2
%generate timecourses for LH/MB lines (A-D)

matchedtimecourses_paper(actatlasmainloc,drivers,'activation',' '); 


%% Make fly-by-fly plots for various LH/MB lines (Fig 2 A-D RIGHT)

load('./CleanBehaviourdata/extractedparameters/MBLHparameters/MainMBLHparameters.mat');
%this was generated by the following command: parameters=extract(actatlasmainloc,'resblankalwayson10s');

[siglinesup,siglinesdown,magnitudes,pvals]=plotparameters_FSB(actatlasmainloc,parameters,{'upwind','curvature','curvatureoff'},{'LHMB'},' ','region');

clear parameters;
%% Make fly-by-fly plots for additional LH and MB lines (Fig S2B)

load('./CleanBehaviourdata/extractedparameters/MBLHparameters/SuppMBparameters.mat');

[siglinesupmb,siglinesdownmb,magnitudesmb,pvalsmb]=plotparameters_FSB(actatlassingleloc,parameters,{'upwind','curvature','curvatureoff'},{'MBON'},' ','region');
clear parameters;

load('./CleanBehaviourdata/extractedparameters/MBLHparameters/SuppLHparameters.mat');
[siglinesuplh,siglinesdownlh,magnitudeslh,pvalslh]=plotparameters_FSB(actatlassingleloclh,parameters,{'upwind','curvature','curvatureoff'},{'LHMB'},' ','region');
clear parameters;


%% make silencing plots Fig S2C

load('./CleanBehaviourdata/extractedparameters/TNTparameters/TNTparameters.mat');
[sigupTNT,sigdownTNT,magnitudeTNT]=plotparameters_TNT(tntatlasloc,parameters,{'upwind','curvature','curvatureoff'},{'LHMB'},' ','region')



%% Make imaging plots Fig 2E

cd('./Imagingdata/');
makeimagingplots_paper(pwd,'lh1396.mat',0,0,'');
makeimagingplots_paper(pwd,'MB052B.mat',0,0,'');
%change the window that is being used between these for plotting
makeimagingplots_paper(pwd,'MB077B.mat',0,0,'');
makeimagingplots_paper(pwd,'MB082C.mat',0,0,'');



%% Calculate directional indices Fig 2F

 cd Imagingdata/
 
 dirratioscript_paper
 
 cd ..


%% Make anenometer plot Fig S2D 

ManifoldStimulusScript

%% example imaging plots (Fig S2E)

%look at single fly heatmaps for selected examples 
%make lh1396 single example 
load('lh1396.mat');
alltrialstimecourse_paper(chosenfluor,chosenFrameRate,'lh1396_012220_f1e2',0);

%MB052B single example 
load('MB052B.mat');
alltrialstimecourse_paper(chosenfluor,chosenFrameRate,'MB052B_011520_f1e2',0);

cd('..')

%MB077B single example
alltrialstimecourse_newthor(pwd,'MB077B_jul2021_f4e5',2,0,1,0);

%MB082C single example
alltrialstimecourse_newthor(pwd,'MB082C_jul0721_f1e3',2,0,1,0);



%% Make Fig 2G) Ephys data

load('ephysdataMBON.mat');
MBONplotting(physdata,filtdata,0);

